> ## Documentation Index
> Fetch the complete documentation index at: https://docs.xpaycheckout.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Payment Method Tokens

> Retrieve a list of payment method tokens for a customer created within a specific time range, with support for filtering and pagination. This endpoint allows you to track and analyse all payment method tokens for a customer. It's useful for building dashboards, reconciling payment methods, or reviewing saved payment methods programmatically.



## OpenAPI

````yaml GET /customer/{customerId}/payment-method-tokens
openapi: 3.0.1
info:
  title: xPay API Store
  description: ''
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.xpaycheckout.com
security:
  - basicAuth: []
paths:
  /customer/{customerId}/payment-method-tokens:
    get:
      description: >-
        Retrieve a list of payment method tokens for a customer created within a
        specific time range, with support for filtering and pagination. This
        endpoint allows you to track and analyse all payment method tokens for a
        customer. It's useful for building dashboards, reconciling payment
        methods, or reviewing saved payment methods programmatically.
      parameters:
        - $ref: '#/components/parameters/CustomerId'
        - $ref: '#/components/parameters/StartTime'
        - $ref: '#/components/parameters/EndTime'
        - $ref: '#/components/parameters/Limit'
        - $ref: '#/components/parameters/Offset'
        - name: status
          in: query
          required: false
          schema:
            type: string
          description: >-
            Filter by payment method token status. Valid values: `LIVE`,
            `DELETED`. Refer payment method token
            [status](/products/setup-method/overview#payment-method-token-lifecycle)
            for more details.
          example: LIVE
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/get-payment-method-tokens-for-customer-response
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  parameters:
    CustomerId:
      name: customerId
      in: path
      required: true
      schema:
        type: string
      description: Unique identifier of the customer
    StartTime:
      name: startTime
      in: query
      required: false
      schema:
        type: integer
        format: int64
      description: >-
        Start of range in epoch milliseconds. Fetches items created after this
        timestamp.
    EndTime:
      name: endTime
      in: query
      required: false
      schema:
        type: integer
        format: int64
      description: >-
        End of range in epoch milliseconds. Fetches items created before this
        timestamp.
    Limit:
      name: limit
      in: query
      required: false
      schema:
        type: integer
        format: int32
        minimum: 1
        maximum: 100
      description: Max items per page (default 50, max 100)
      example: 100
    Offset:
      name: offset
      in: query
      required: false
      schema:
        type: string
      description: >-
        Cursor-based pagination token. Use the `offset` value from
        `metadata.offset` in the previous response to fetch the next page.
        Continue until `metadata.offset` is no longer present in the response.


        🚨 **Important**: Changing any query parameters invalidates existing
        offset values and requires restarting pagination from the beginning.


        For detailed pagination implementation guide, see [Pagination
        Guide](/developer-resources/pagination).
  schemas:
    get-payment-method-tokens-for-customer-response:
      type: object
      description: Response containing a list of payment method tokens for a customer
      properties:
        data:
          type: array
          description: >-
            List of payment method tokens, could be empty if no payment method
            tokens are found for the customer
          items:
            $ref: '#/components/schemas/get-payment-method-token-response'
        metadata:
          type: object
          properties:
            offset:
              $ref: '#/components/schemas/PaginationOffset'
      required:
        - data
        - metadata
    Error:
      required:
        - errorCode
        - errorDescription
      type: object
      properties:
        errorCode:
          type: string
          example: bad_request
        errorDescription:
          type: string
          example: Failed to read request
    get-payment-method-token-response:
      type: object
      properties:
        paymentMethodId:
          type: string
          description: Unique identifier of the payment method
          example: pmt_ftoeKIYGC3f43frT
        paymentMethod:
          type: string
          description: Type of payment method
          example: CARD
        customerId:
          type: string
          description: >-
            The unique identifier for the customer, generated via the
            [create-customer API](/api-reference/customers/create-customer)
          example: cus_Tfd3Jq1tZxPjYVhRQW2r3
        status:
          type: string
          description: >-
            Status of the payment method token. Please refer to payment method
            token
            [status](/products/setup-method/overview#payment-method-token-lifecycle)
            for more details.
          enum:
            - LIVE
            - DELETED
          example: LIVE
        createdAt:
          $ref: '#/components/schemas/PaymentMethodTokenCreatedAt'
      required:
        - paymentMethodId
        - paymentMethod
        - customerId
        - status
        - createdAt
    PaginationOffset:
      type: string
      description: >-
        Pagination cursor for fetching the next page of results. Use this exact
        string as the `offset` parameter in your next API request. When this
        field is missing or null, you've reached the end of the results.


        For detailed pagination implementation guide, see [Pagination
        Guide](/developer-resources/pagination).
    PaymentMethodTokenCreatedAt:
      type: integer
      description: >-
        Epoch timestamp in milliseconds of when the payment method token was
        created
      example: 1727340330123
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````